Bug 201348 - Remove support for load/error on link=prefetch
Summary: Remove support for load/error on link=prefetch
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Page Loading (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Rob Buis
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-08-30 10:56 PDT by Rob Buis
Modified: 2019-09-03 04:49 PDT (History)
9 users (show)

See Also:


Attachments
Patch (9.84 KB, patch)
2019-08-30 11:09 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Patch (11.74 KB, patch)
2019-08-30 12:15 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Patch (13.77 KB, patch)
2019-08-31 08:38 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Patch (15.99 KB, patch)
2019-08-31 10:07 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Patch (16.29 KB, patch)
2019-09-01 07:59 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Patch (16.29 KB, patch)
2019-09-01 10:10 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Patch (16.39 KB, patch)
2019-09-03 03:04 PDT, Rob Buis
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rob Buis 2019-08-30 10:56:48 PDT
As discussed in https://bugs.webkit.org/show_bug.cgi?id=199162.
Comment 1 Rob Buis 2019-08-30 11:09:26 PDT
Created attachment 377733 [details]
Patch
Comment 2 Rob Buis 2019-08-30 12:15:35 PDT
Created attachment 377737 [details]
Patch
Comment 3 Rob Buis 2019-08-31 08:38:07 PDT
Created attachment 377802 [details]
Patch
Comment 4 Rob Buis 2019-08-31 10:07:55 PDT
Created attachment 377803 [details]
Patch
Comment 5 Rob Buis 2019-09-01 07:59:48 PDT
Created attachment 377823 [details]
Patch
Comment 6 Rob Buis 2019-09-01 10:10:51 PDT
Created attachment 377826 [details]
Patch
Comment 7 youenn fablet 2019-09-03 02:22:36 PDT
Comment on attachment 377826 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=377826&action=review

> LayoutTests/http/tests/cache/link-prefetch-main-resource-iframe.html:39
> +    internals.addPrefetchLoadEventListener(link, () => { loadAfterPrefetch(); });

add an if (window.internals) check.

> LayoutTests/http/tests/cache/link-prefetch-main-resource.html:17
> +    internals.addPrefetchLoadEventListener(link, () => { loadAfterPrefetch(); });

Ditto.
Comment 8 Rob Buis 2019-09-03 03:04:32 PDT
Created attachment 377880 [details]
Patch
Comment 9 WebKit Commit Bot 2019-09-03 04:48:17 PDT
Comment on attachment 377880 [details]
Patch

Clearing flags on attachment: 377880

Committed r249426: <https://trac.webkit.org/changeset/249426>
Comment 10 WebKit Commit Bot 2019-09-03 04:48:19 PDT
All reviewed patches have been landed.  Closing bug.
Comment 11 Radar WebKit Bug Importer 2019-09-03 04:49:16 PDT
<rdar://problem/54971865>